import sys

from PyQt6.QtCore import pyqtSlot
from PyQt6.QtWidgets import QApplication, QMainWindow

from test2 import Ui_MainWindow


class Adv(QMainWindow, Ui_MainWindow):
    def __init__(self, parent=None):
        super(Adv, self).__init__(parent)
        self.setupUi(self)

    @pyqtSlot(bool)
    def on_b_test_clicked(self,a):
        print('on_b_test',a)


if __name__ == '__main__':
    app = QApplication(sys.argv)
    app.setDesktopFileName('TestTest')
    MainWindow = Adv()
    MainWindow.show()
    app.exec()
